using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioDisjuntor
    {

        public void Insert(entidadeDisjuntor objDisjuntor)
        {
            dalDisjuntor dalDisjuntor = null;

            try
            {
                dalDisjuntor = new dalDisjuntor();

                dalDisjuntor.Insert(objDisjuntor);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeDisjuntor objDisjuntor)
        {
            dalDisjuntor dalDisjuntor = null;

            try
            {
                dalDisjuntor = new dalDisjuntor();

                dalDisjuntor.Update(objDisjuntor);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeDisjuntor objDisjuntor)
        {
            dalDisjuntor dalDisjuntor = null;

            try
            {
                dalDisjuntor = new dalDisjuntor();

                dalDisjuntor.Update_1(objDisjuntor);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeDisjuntor objDisjuntor)
        {
            dalDisjuntor dalDisjuntor = null;

            try
            {
                dalDisjuntor = new dalDisjuntor();

                dalDisjuntor.Delete(objDisjuntor);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeDisjuntor> Select(entidadeDisjuntor objDisjuntor)
        {
            dalDisjuntor dalDisjuntor = null;

            var lstDisjuntor = new List<entidadeDisjuntor>();
            DataTable dt = null;

            try
            {
                dalDisjuntor = new dalDisjuntor();
                dt = dalDisjuntor.Select(objDisjuntor);

                foreach (DataRow dr in dt.Rows)
                {
                    objDisjuntor = new entidadeDisjuntor();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objDisjuntor.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objDisjuntor.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objDisjuntor.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objDisjuntor.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstDisjuntor.Add(objDisjuntor);
                }
                return lstDisjuntor;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeDisjuntor> SelectMax(entidadeDisjuntor objDisjuntor)
        {
            dalDisjuntor dalDisjuntor = null;

            var lstDisjuntor = new List<entidadeDisjuntor>();
            DataTable dt = null;

            try
            {
                dalDisjuntor = new dalDisjuntor();
                dt = dalDisjuntor.SelectMax(objDisjuntor);

                foreach (DataRow dr in dt.Rows)
                {
                    objDisjuntor = new entidadeDisjuntor();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objDisjuntor.ID = Convert.ToInt32(dr["ID"]);


                    lstDisjuntor.Add(objDisjuntor);
                }
                return lstDisjuntor;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
